﻿@using System.Globalization
@using Microsoft.AspNetCore.Mvc.Localization

@{
    ViewData["Title"] = "Catan Generator";
}

@inject IViewLocalizer Localizer

<div class="body-container wrapper">
    <nav class="sidebar">
        <div class="sidebar-header">
            <img onclick="generateHexagonsFromDatabase('Mw==')" src="~/images/logotest.png" width="30" alt="logo" />
            <h4>Catan.now</h4>
        </div>
        <div class="sidebar-content">

            <p>@Localizer["GenerateHeadline"]</p>
            <br />
            <table class="switch-table">
                <tr>
                    <td style="width: 150px;">
                        <h5>@Localizer["Numbers"]:</h5>
                    </td>
                    <td>
                        <input class="tgl tgl-light" id="cb1" type="checkbox" />
                        <label class="tgl-btn" for="cb1"></label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 150px;">
                        <h5>@Localizer["Scores"]:</h5>
                    </td>
                    <td>
                        <input class="tgl tgl-light" id="cb2" type="checkbox" />
                        <label class="tgl-btn" for="cb2"></label>
                    </td>
                </tr>
            </table>

            <div class="sidebar-button-group">
                <button id="btndownload" type="button" class="btn btn-download sidebar-button" data-toggle="modal" data-target="#save-map-dialog">@Localizer["Save"]</button>
                <button id="btnload" type="button" class="btn btn-load sidebar-button" data-toggle="modal" data-target="#load-map-dialog">@Localizer["Load"]</button>
                <button id="btnOption" type="button" class="btn btn-option sidebar-button" data-toggle="modal" data-target="#option-dialog">@Localizer["Options"]</button>
                <button id="btnsidebar" type="button" class="btn btn-sidebar sidebar-button">@Localizer["Generate"]</button>
            </div>
        </div>
    </nav>

    <!-- Save Map Modal -->
    <div class="modal fade" id="save-map-dialog" tabindex="-1" role="dialog" aria-labelledby="SaveMap" aria-hidden="true">
        <div class="modal-dialog modal-code" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="icon-box">
                        <i class="material-icons">save_alt</i>
                    </div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-center">
                    <h4>@Localizer["Awesome"]</h4>
                    <p>@Localizer["MapReady"]</p>
                    <div class="input-group">
                        <input type="text" class="form-control generate-code" aria-describedby="basic-addon2" readonly>
                        <span class="input-group-addon copy-code">
                            <i class="fas fa-copy"></i>
                        </span>
                    </div>
                    <p>@Localizer["SaveCode"]</p>
                    <button class="btn btn-success btn-save" id="btnSave">
                        <span>@Localizer["SaveImage"]</span>
                    </button>
                </div>
            </div>
        </div>
    </div>

    <!-- Option Modal -->
    <div class="modal fade" id="option-dialog" tabindex="-1" role="dialog" aria-labelledby="Option" aria-hidden="true">
        <div class="modal-dialog modal-code" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="icon-box">
                        <i class="material-icons">settings</i>
                    </div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-center">

                    <h4>@Localizer["Options"]</h4>
                    <p>
                        @Localizer["OptionsInfo"]
                    </p>
                    <div class="radio-buttons-option">
                        <h5>@Localizer["MapSize"]:</h5>
                        <div class="form-group">
                            <input id="mapsize_normal" class="custom-radio" type="radio" name="mapsize" value="normal" checked>
                            <label for="mapsize_normal">
                                <span></span>  3-4 @Localizer["Players"]
                            </label>
                        </div>
                        <div class="form-group">
                            <input id="mapsize_big" class="custom-radio" type="radio" name="mapsize" value="big">
                            <label for="mapsize_big">
                                <span></span>  5-6 @Localizer["Players"]
                            </label>
                        </div>
                        <br />
                        <h5>@Localizer["Randomize"]:</h5>
                        <div class="form-group">
                            <input id="random_true" class="custom-radio" type="radio" name="random" value="yes" checked>
                            <label for="random_true">
                                <span></span> @Localizer["Yes"]
                            </label>
                        </div>
                        <div class="form-group">
                            <input id="random_false" class="custom-radio" type="radio" name="random" value="no">
                            <label for="random_false">
                                <span></span> @Localizer["No"]
                            </label>
                        </div>
                        <br />
                        <h5>@Localizer["Gamemode"]:</h5>
                        <div class="form-group">
                            <input id="standard" class="custom-radio" type="radio" name="gamemode" value="standard" checked>
                            <label for="standard">
                                <span></span> @Localizer["Standard"]
                            </label>
                        </div>
                        <div class="form-group">
                            <input id="woolmode" class="custom-radio" type="radio" name="gamemode" value="woolmode">
                            <label for="woolmode">
                                <span></span> @Localizer["OreForWool"]
                            </label>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>

    <!--Load modal-->
    <div class="modal fade" id="load-map-dialog" tabindex="-1" role="dialog" aria-labelledby="LoadMap" aria-hidden="true">
        <div class="modal-dialog modal-code" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="icon-box">
                        <i class="material-icons">
                            collections_bookmark
                        </i>
                    </div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body text-center">
                    <h4>@Localizer["LoadWelcome"]</h4>


                    <P>@Localizer["Instuction"]</P>

                    <div class="layoutlist"></div>
                </div>
            </div>
        </div>
    </div>


    <!-- EASTER EGG BARBAROSSA -->
    <div class="modal fade" id="easteregg-barbarossa-dialog" tabindex="-1" role="dialog" aria-labelledby="EasterEgg" aria-hidden="true">
        <div class="modal-dialog modal-easteregg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close close-easteregg" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <div class="row riddle">
                        <div class="col-md-7">
                            <div class="bubble-speech bubble-right">
                                <h3 class="author">
                                    Barbarossa
                                </h3>
                                <div class="message">
                                    @Localizer["Riddle"]
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="alert alert-danger" role="alert">@Localizer["WrongAnswer"]</div>
                                    <input type="text" class="form-control riddle-answer" placeholder="@Localizer["Answer"]" />
                                    <button type="button" onclick="checkAnswer();" class="btn btn-answer" style="float: right;">@Localizer["SendAnswer"]</button>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-5" style="text-align:center;">
                            <img class="barbarossa-img" src="~/images/Barbarossa.png" alt="Alternate Text" />
                        </div>
                    </div>
                    <div class="row riddle-solved" style="display: none;">
                        <div class="col-md-2">
                            <img src="https://vignette.wikia.nocookie.net/catan/images/8/83/KlausTeuber.jpg/revision/latest?cb=20080925202753" height="200" style="margin-top: 20px;" />
                        </div>
                        <div class="col-md-10">
                            <h3>Klaus Teuber</h3>
                            @Localizer["KlausInfo"]
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Hex -->
    <div class="container body-content body-container content">
        <nav class="navbar navbar-expand-lg navbar-light bg-light theme">
            <div class="container-fluid">

                <a class="languageSwitch" id="LanguageSwitch" style="margin-right: 30px;">
                    <img class="languageFlag" src="~/images/@CultureInfo.CurrentCulture@Html.Raw(".svg")" />
                    <span id="languageTitle">@Localizer["Language"]</span>
                </a>
                <a href="#" class="theme-toggle">
                    <i class="fas fa-sun toggler" style="font-size: 22px; color: grey;"></i>
                </a>
            </div>
        </nav>
        <div class="game-canvas" id="game-canvas">
            <div class="hex-grid">
            </div>
        </div>
    </div>
    <div class="img-out"></div>
</div>